#!/bin/sh

PATH=/usr/dll/bin:$PATH

VERSION=3.1
TCL_DIR=tcl7.3

CCC="gcc -B/usr/dll/jump/"
export JUMP_LIB=libtcl
export JUMP_DIR=`pwd`/jump-tcl/

make tclmain.o || exit 1
make CC="${CCC} -I${TCL_DIR}" dummy.o || exit 1

cd $TCL_DIR
make tclAppInit.o tclTest.o || exit 1
make CC="${CCC} -Dmain=Tcl_Main" tclMain.o || exit 1
make CC="${CCC}" libtcl.a || exit 1
cd ..

#exit

# mkcompat -v /usr/X386/lib/libXpm.sa > ${JUMP_DIR}/jump.vars
# mkcompat -f /usr/X386/lib/libXpm.sa > ${JUMP_DIR}/jump.funcs

cd work
rm -rf *
cp ../dummy.o .
ar x ../${TCL_DIR}/libtcl.a
mkimage -l libtcl -v ${VERSION} -a 0x60c00000 -j 0x4000 -g 4096 -- *.o -lm -lc -lgcc -lc || exit 1
mkstubs -l libtcl -v ${VERSION} -a 0x60c00000 -j 0x4000 -g 4096 -- libtcl || exit 1
cp ../tclmain.o .
ar rs libtcl.sa tclmain.o
mv libtcl.so.${VERSION} libtcl.sa ..
cd ..

LDFLAGS='-L. -ltcl -lieee -lm -N'
gcc -o tclsh ${TCL_DIR}/tclAppInit.o ${LDFLAGS}
gcc -o tcltest ${TCL_DIR}/tclTest.o ${LDFLAGS}

#mv ${JUMP_LIB}.a. ${JUMP_LIB}.a
#strip ${JUMP_LIB}.so.*
